<!-- 单一统计图表 -->
<template>
	<view>
		<mainStatistics :pname="pnameData" :equipmentId="equipmentIdData" :adminId="adminIdData" :isForeign="isForeignData"></mainStatistics>
	</view>
</template>

<script>
	import { mapState, mapActions, mapMutations } from 'vuex';
	import {mainStatistics} from '@/pages/Charts/mainStatistics';
	export default {
		name: 'elseStatistics',
		data() {
			return {
				equipmentId: '',
				adminId: '',
				pname: '',
				isForeign: 0,
			}
		},
		computed: {
			...mapState(['loginUser']),
			equipmentIdData:{
				get(){
					return this.equipmentId;
				}
			},
			adminIdData:{
				get(){
					return this.adminId;
				}
			},
			pnameData:{
				get(){
					return this.pname;
				}
			},
			isForeignData:{
				get(){
					// console.log(this.isForeign);
					return this.isForeign;
				}
			},
		},
		onShow() {
			uni.setNavigationBarTitle({
				title: this.$t('mainStatistics.title')
			});	
		},
		onLoad(option){
			var globalUser = uni.getStorageSync("globalUser");
			console.log(globalUser);
			this.isForeign = globalUser.ifForeign;
			console.log(this.isForeign);
			this.equipmentId = option['equipmentId'];
			this.adminId = option['adminId'];
			this.pname = option['pname'];
			uni.setStorageSync('test',0);
		},
		mounted() {
		},
		methods: {
		}
	}
</script>
<style>
</style>
